draw_character(3)

NAME
draw_character

SYNOPSIS
#include <allegro.h>

void draw_character(BITMAP *bmp, BITMAP *sprite, int x, int y, int color);

DESCRIPTION
Draws a copy of the sprite bitmap onto the destination bitmap at the specified position, drawing transparent pixels in the current text mode (skipping them if the text mode is -1, otherwise drawing them in the text background color), and setting all other pixels to the specified color. Transparent pixels are marked by a zero in 256 color modes or bright pink for truecolor data (maximum red and blue, zero green). The sprite must be an 8 bit image, even if the destination is a truecolor bitmap.

SEE ALSO
draw_sprite(3), bitmap_mask_color(3)